define({
  root: ({
    _widgetLabel: "Attribute Table",
    _featureAction_ShowRelatedRecords: "Show related records",
    _featureAction_ViewInTable: "View in Attribute Table",
    ok: "OK",
    cancel: "Cancel",
    unsupportQueryWarning: "The layer needs to support query operation to display in Attribute Table widget. Make sure the query capability in the service is turned on.",
    exportMessage: "Export data to CSV file?",
    exportFiles: "Export to CSV",
    exportSelected: "Export selected to CSV",
    exportAll: "Export all to CSV",
    options: "Options",
    zoomto: "Zoom to",
    highlight: "Highlight graphics",
    selectAll: "Select records in all pages",
    selectPage: "Select records in current page",
    clearSelection: "Clear selection",
    selectionHandleLabel: "Selection handle",
    selectionHandleDescription: "Press ENTER or SPACE to highlight the feature(s) on the map",
    filter: "Filter",
    setFilterTip: "Please set filters correctly.",
    noFilterTip: "Without filter expressions defined, this query task will list all features in the specified data source.",
    filterByExtent: "Filter by map extent",
    showSelectedRecords: "Show selected records",
    showAllRecords: "Show all records",
    showRelatedRecords: "Show related records",
    noRelatedRecords: "No related records found",
    highlightAllRecords: "Highlight all records on map",
    attachmentColumn: "Photos and files",
    refresh: "Refresh",
    features: "features",
    records: "records",
    selected: "selected",
    transparent: "Transparent mode",
    indicate: "Locate selection",
    columns: "Show/Hide columns",
    selectionSymbol: "Selection symbol",
    closeMessage: "Hide table (expand it again from the bottom)",
    dataNotAvailable: "Data not available!<br>Click [Refresh] button to try again.",
    openTableTip: "Open Attribute Table",
    closeTableTip: "Hide Attribute Table",
    sortAsc: "Sort ascending",
    sortDes: "Sort descending",
    statistics: "Statistics",
    attachments: "Attachments",
    files: "files",
    keepRichTextLabel: "Keep rich text format",
    whatsThis: "What's this?",
    richTextMessage: {
      explanatoryText: {
        line1: "${layerName} contains the following rich text field(s): ",
        line2: " that may include text formatting styles, such as fonts, colors or text sizes.",
        line3: "When exported to CSV, the formatting styles will be preserved in the form of HTML tags. You can choose not to keep the rich text formats by unchecking the \"Keep rich text format\" box."
      },
      example: {
        label: "For example:",
        scenarios: {
          first: "will be exported as the following text by default:",
          second: "and the following text without rich text format:"
        }
      }
    },
    noTablesAvailable: "No tables available to display.",
    checkConfigutationToSelectLayers: "Please go to widget settings page to select layers.",
    checkLayerListToSelectLayers: "Attribute Table is synchronized with visible layers in the map,  you can use widget such as Layer List to toggle on/off layers.",
    rowHeaderColumnTitle: "Row ${layerName}, hovered, press Enter to select the hovered rows"
  }),
  "ar": 1,
  "bs": 1,
  "ca": 1,
  "cs": 1,
  "da": 1,
  "de": 1,
  "el": 1,
  "es": 1,
  "et": 1,
  "fi": 1,
  "fr": 1,
  "he": 1,
  "hr": 1,
  "hu": 1,
  "it": 1,
  "id": 1,
  "ja": 1,
  "ko": 1,
  "lt": 1,
  "lv": 1,
  "nb": 1,
  "nl": 1,
  "pl": 1,
  "pt-br": 1,
  "pt-pt": 1,
  "ro": 1,
  "ru": 1,
  "sl": 1,
  "sr": 1,
  "sv": 1,
  "th": 1,
  "tr": 1,
  "uk": 1,
  "vi": 1,
  "zh-cn": 1,
  "zh-hk": 1,
  "zh-tw": 1
});